%{?nodejs_find_provides_and_requires}

%global packagename must
%global enable_tests 1

Name:		nodejs-must
Version:	0.13.1
Release:	1%{?dist}
Summary:	Testing and assertion library with friendly BDD syntax

License:	AGPLv3 with exceptions
URL:		https://github.com/moll/js-must.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(egal)
BuildRequires:	npm(kindof)
BuildRequires:	npm(lodash)
BuildRequires:	npm(lodash.wrap)
BuildRequires:	npm(oolong)
%endif

Requires:	nodejs

%description
Testing and assertion library with friendly BDD syntax — awesome.must.be.true(). Many expressive matchers and is test runner and framework agnostic. Follows RFC 2119 with its use of MUST. Good and well tested stuff.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 0.13.1-1
- Initial packaging
